diff --git a/bootstrap/sbin/rebuild_system_from_scratch.sh b/bootstrap/sbin/rebuild_system_from_scratch.sh
index 9d5502ef1aa704919d2804cc0548bf5bc7ae9487..dcbd54cb6da1746e5ffe7f58d4209c73d7c2dcd3 100755
--- a/bootstrap/sbin/rebuild_system_from_scratch.sh
+++ b/bootstrap/sbin/rebuild_system_from_scratch.sh
@@ -48,8 +48,14 @@ function stop_images()
 
 function clean_images()
 {
+    # This can return a non-0 return code if the system
+    # has already been shut down.
+    # Therefore disable Bash's exit on error flag
+    set +e
     pushd ${HOME_DIR}/docker-compose && make clean
     popd
+    # And enable it again.
+    set -e
 }
 
 function start_minimal_tango()